Bug 1111306 - os-prober generates multiple entries for same LVMlv system
Summary: os-prober generates multiple entries for same LVMlv system
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: os-prober
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Hedayat Vatankhah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-19 17:14 UTC by Gene Czarcinski
Modified: 2014-07-17 04:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-06 18:16:03 UTC
Type: Bug


Attachments (Terms of Use)
bugfix: when LVMlv name contains btrfs (906 bytes, patch)
2014-06-22 12:53 UTC, Gene Czarcinski
no flags Details | Diff

Description Gene Czarcinski 2014-06-19 17:14:50 UTC
Description of problem:
This occured on a qemu-kvm virtual systems with muliple disks and multiple installs.

1. If all installs are to LVMlv, then there does not appear to be a problem.

2.  Install Fedora on /dev/vda (btrfs or partition).

3.  Then, on a seond disk (vdb), install Fedora with LVM partitioning (vdb1 is ext4 and swap & root or LVMlvs).  Run grub2-install /dev/vdb so you will be able to boot this directly.  Just in case, run grub2-mkconfig -o /boot/grub2/grub.cfg

4. Reboot selecting the system you installed on /dev/vda.  Run os-prober.

The output will show two entries exactly the same.  There should only be one.

Version-Release number of selected component (if applicable):
os-prober-1.58-7

How reproducible:
certain circumstances (see above)

Comment 1 Gene Czarcinski 2014-06-22 12:53:26 UTC
Created attachment 911138 [details]
bugfix: when LVMlv name contains btrfs

The opriginal test for btrfs change for an output of blkd to contain 'btrfs'.  This is changed so that it now looks for 'TYPE="btrfs"'

Comment 2 Hedayat Vatankhah 2014-06-23 11:59:50 UTC
Thanks Gene for the report and the fix. I'll apply it.

Comment 3 Hedayat Vatankhah 2014-07-06 18:16:03 UTC
Fixed in rawhide. Updates for F19 & F20 will be built in a few minutes.

Comment 4 Fedora Update System 2014-07-06 19:28:02 UTC
os-prober-1.58-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/os-prober-1.58-8.fc20

Comment 5 Fedora Update System 2014-07-06 19:28:11 UTC
os-prober-1.58-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/os-prober-1.58-8.fc19

Comment 6 Fedora Update System 2014-07-09 02:27:05 UTC
os-prober-1.58-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-07-17 04:29:02 UTC
os-prober-1.58-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.